Bug 176156 - Setuputil should be de-branded
Summary: Setuputil should be de-branded
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard: 1.0.2
Keywords:
Depends On:
Blocks: 183369
TreeView+ depends on / blocked
 
Reported: 2005-12-19 18:45 UTC by Nathan Kinder
Modified: 2015-01-04 23:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-06 19:49:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (3.73 KB, patch)
2005-12-19 18:45 UTC, Nathan Kinder
no flags Details | Diff
Sample resource file (12.45 KB, text/plain)
2005-12-19 18:46 UTC, Nathan Kinder
no flags Details
CVS Commit (623 bytes, text/plain)
2005-12-20 00:09 UTC, Nathan Kinder
no flags Details

Description Nathan Kinder 2005-12-19 18:45:31 UTC
There are currently both Red Hat and Fedora branded versions of Setuputil. 
There should be only one version.  To accomplish this, all installer strings
should have the ability to be overriden in the installer info or resource files.

These changes package a sample resource file with all of the strings that can be
overridden in it.  The code that loads the resource strings had to be modified
to properly deal with newlines and escaped double-quotes.  I've also removed
some of the unused stuff from the sample setup.inf.

Comment 1 Nathan Kinder 2005-12-19 18:45:31 UTC
Created attachment 122414 [details]
CVS Diffs

Comment 2 Nathan Kinder 2005-12-19 18:46:57 UTC
Created attachment 122415 [details]
Sample resource file

This is the new sample resource file that gets packaged during the build.

Comment 3 Nathan Kinder 2005-12-20 00:09:09 UTC
Created attachment 122429 [details]
CVS Commit

Checked into HEAD.  Reviewed by Noriko and Rich.

Comment 4 Jenny Galipeau 2011-06-06 18:43:32 UTC
Please add steps to reproduce and verify thanks

Comment 5 Nathan Kinder 2011-06-06 19:49:23 UTC
(In reply to comment #4)
> Please add steps to reproduce and verify thanks

We don't even use the setuputil library anymore.  This can just be closed.


Note You need to log in before you can comment on or make changes to this bug.